Skip to main content
POST
/
dev
/
v1
/
customers
Create customer
curl --request POST \
  --url https://api.shoppex.io/dev/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "buyer@example.com",
  "name": "Berlin Buyer",
  "phone": "+491234567",
  "country_code": "DE",
  "street_address": "Teststrasse 1",
  "city": "Berlin",
  "postal_code": "10115",
  "upsert": true
}
'
{
  "data": {
    "id": "cus_1",
    "shop_id": "shop_1",
    "email": "buyer@example.com",
    "name": "Berlin Buyer",
    "surname": null,
    "phone": "+491234567",
    "phone_country_code": null,
    "country_code": "DE",
    "street_address": "Teststrasse 1",
    "additional_address_info": null,
    "city": "Berlin",
    "postal_code": "10115",
    "state": null,
    "affiliate_revenue": 0,
    "affiliate_revenue_currency": "USD",
    "affiliate_revenue_percent": 0,
    "customer_balance": 12,
    "customer_balance_currency": "EUR",
    "created_at": 1710686400
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Body

email
string
required
name
string
phone
string | null
country_code
string | null
street_address
string | null
city
string | null
postal_code
string | null
upsert
boolean

Response

200 - application/json

Successful response

data
object